### Class

# FwupdPlugin IfdFirmware

#### Description [src]

    class FwupdPlugin.IfdFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

An Intel Flash Descriptor.

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_ifd_firmware_new

Creates a new `FuFirmware` of sub type Ifd.

since: 1.6.2

#### Instance methods

###### fu_ifd_firmware_check_jedec_cmd

Checks a JEDEC command to see if it has been put on the “illegal_jedec” list.

since: 1.6.2

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginIfdFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.